# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkcloudapi.endpoint import endpoint_data

class BatchAbolishApisRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'CloudAPI', '2016-07-14', 'BatchAbolishApis','apigateway')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_SecurityToken(self): # String
		return self.get_query_params().get('SecurityToken')

	def set_SecurityToken(self, SecurityToken):  # String
		self.add_query_param('SecurityToken', SecurityToken)
	def get_Apis(self): # RepeatList
		return self.get_query_params().get('Api')

	def set_Apis(self, Api):  # RepeatList
		for depth1 in range(len(Api)):
			if Api[depth1].get('StageName') is not None:
				self.add_query_param('Api.' + str(depth1 + 1) + '.StageName', Api[depth1].get('StageName'))
			if Api[depth1].get('GroupId') is not None:
				self.add_query_param('Api.' + str(depth1 + 1) + '.GroupId', Api[depth1].get('GroupId'))
			if Api[depth1].get('ApiUid') is not None:
				self.add_query_param('Api.' + str(depth1 + 1) + '.ApiUid', Api[depth1].get('ApiUid'))
			if Api[depth1].get('StageId') is not None:
				self.add_query_param('Api.' + str(depth1 + 1) + '.StageId', Api[depth1].get('StageId'))
